İçeriğe geç

create

POST
/v1/payments
curl --request POST \
--url https://gateway.paytalya.com/v1/payments \
--header 'Content-Type: application/json' \
--data '{ "amount": 1, "partnerTxCode": "example", "terminalId": "example", "installment": 1, "description": "example", "returnUrl": "example" }'
Media type application/json
object
amount
integer format: int64
>= 1
partnerTxCode
required
string
0 <= 128 characters
terminalId
required
string
>= 1 characters
installment
integer | null format: int32
>= 1
description
string | null
0 <= 512 characters
returnUrl
required
string
0 <= 2048 characters
Example generated
{
"amount": 1,
"partnerTxCode": "example",
"terminalId": "example",
"installment": 1,
"description": "example",
"returnUrl": "example"
}

Created

Media type */*
object
paymentCode
string
status
string
Allowed values: initiated authenticated capture_pending captured failed expired voided partially_refunded refunded
paymentRef
string
handoffUrl
string